Passer au contenu principal
GET
/
public
/
v1
/
offsite-ads
/
audiences
List Offsite Audiences
curl --request GET \
  --url https://api.topsort.com/public/v1/offsite-ads/audiences \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": true,
  "dsp": [],
  "audiences": [
    {
      "id": "<string>",
      "name": "<string>",
      "description": "<string>",
      "estimatedSize": 123,
      "estimatedSizeRange": {
        "lowerBound": 123,
        "upperBound": 123
      },
      "syncedDsps": []
    }
  ],
  "nextPage": "SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="
}

Autorisations

Authorization
string
header
requis

A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.

Paramètres de requête

vendor_id
string | null

If specified, only shows audiences that specific vendor has access to.

Exemple:

"vendor_123"

dsp
enum<string> | null

If specified, only shows audiences synced to this DSP.

Options disponibles:
google_ads,
meta
Exemple:

"google_ads"

next_page
string | null

Pagination cursor as provided in an earlier response. If provided will fetch the next page of results.

Réponse

Successful Response

hasMore
boolean
requis

Flag that indicates whether more results are available. true indicates there is a next page of results. false indicates this response contains the last page of results.

dsp
enum<string>[]
requis

The Demand-Side Platform (DSP) or DSPs associated with the listed audiences.

The DSP to scope the requested operation or to filter the response by.

Options disponibles:
google_ads,
meta
audiences
PublicOffsiteAudience · object[]
requis

The audiences for the vendor

nextPage
string | null

Pagination cursor. Provide this value as a next_page query parameter in a new request to retrieve the next page of results.

Minimum string length: 1
Exemple:

"SSBzb2xlbW5seSBzd2VhciB0aGF0IEkgYW0gdXAgdG8gbm8gZ29vZAo="